%define upstream_name    Package-Pkg
%define upstream_version 0.0020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Handy package munging utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%{?perl_default_filter}

%description
Package::Pkg is a collection of useful, miscellaneous package-munging
utilities. Functionality is accessed via the imported 'pkg' keyword,
although you can also invoke functions directly from the package
('Package::Pkg')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.2.0-9pclos2017
- rebuild against updates

